<?php
/**
 * Tagcloud
 * @package Joomla!
 * @Copyright (C) 2012 - Yves Hoppe - compojoom.com
 * @All rights reserved
 * @Joomla! is Free Software
 * @Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 * @version $Revision: 0.9.0 beta $
 **/

// no direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.model');

// Load Helpers
require_once( dirname(__FILE__).DS.'helper.php' );

JHTML::_('behavior.mootools', true);
JHTML::_('behavior.tooltip');

// Load Basic css and JS .. if we ever have one :) Template css !!
// JHTML::_('stylesheet', 'tagcloud.css', 'media/mod_ctagcloud/css/');
// JHTML::_('script', 'tagcloud.js', 'media/mod_ctagcloud/js/');

// Module class
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));

?>
<!-- START CTagcloud by compojoom.com  -->
<div class="tagcloudgroup<?php echo $moduleclass_sfx ?>">

<?php

    // Get modul template
    switch($params->get('template', '0')){

        case 1:
            require JModuleHelper::getLayoutPath('mod_ctagcloud', 'image');
            break;

        case 2:
            require JModuleHelper::getLayoutPath('mod_ctagcloud', 'simple');
            break;

        case 3:
            require JModuleHelper::getLayoutPath('mod_ctagcloud', 'compojoom');
            break;

        // Default Template
        default:
        case 0:
            require JModuleHelper::getLayoutPath('mod_ctagcloud', 'default');
            break;

    }
?>

</div>
<!-- END CTagcloud by compojoom.com  -->